Package org.apache.catalina.tribes

# Class ChannelException.FaultyMember

java.lang.Object
org.apache.catalina.tribes.ChannelException.FaultyMember

Enclosing class:
  `ChannelException`

public static class ChannelException.FaultyMember extends Object
Represent a failure to a specific member when a message was sent to more than one member

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Exception`
`cause`
`protected final Member`
`member`

## Constructor Summary

Constructors
Constructor
Description
`FaultyMember(Member mbr, Exception x)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Exception`
`getCause()`
`Member`
`getMember()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### cause

protected final Exception cause

### member

protected final Member member

## Constructor Details

### FaultyMember

public FaultyMember(Member mbr, Exception x)

## Method Details

### getMember

public Member getMember()

### getCause

public Exception getCause()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`